#!/bin/bash

# Clean any previous builds
echo "Cleaning previous builds..."
rm -rf dist

# Install dependencies
echo "Installing dependencies..."
npm install

# Compile the extension
echo "Compiling the extension..."
npm run compile

# Package the extension
echo "Packaging the extension..."
npm run package

# Create VSIX package
echo "Creating VSIX package..."
npx vsce package

echo "Done! The .vsix file is ready for installation." 